If you think a bug might affect users in the 57 release, please set the correct tracking and status flags for Release Management.

[110n][Email]Spanish:The "Keep File" is displayed with truncation in "Unable to open" view.

VERIFIED FIXED

Status

Mozilla Localizations
es-ES / Spanish
VERIFIED FIXED
3 years ago
2 years ago

People

(Reporter: Lancy(Leave from Mozilla), Assigned: rickiees)

Tracking

(Blocks: 1 bug)

unspecified

Firefox Tracking Flags

(b2g-v2.1 unaffected, b2g-v2.2 verified)

Details

(Whiteboard: LocRun2.2, )

Attachments

(2 attachments)

(Reporter)

Description

3 years ago
Created attachment 8595272 [details]
Screenshot_Keep file.png

[1.Description]:
[110n][v2.2][Email]Spanish:Receive an email with an attachment and download the attached file, tap the notification when the file is downloaded, the "Keep File" is displayed with truncation in "Unable to open" view. 
See attachment:Screenshot_Keep file.png

[2.Testing Steps]: 
1. Launch Email and sign in account.
2. Receive an email with an attachment that cannot be read by FirefoxOS, such as a .docx or .exe file 
3. Open the recieved mail and download the attached file .
4. Click on the file to open it (either in notifications, or under Download in Settings) 

 

[3.Expected Result]: 
4.Tap the notification when the file is downloaded, the "Keep File" should not be displayed with truncation in "Unable to open" view. 

[4.Actual Result]: 
4.Tap the notification when the file is downloaded, the "Keep File" is displayed with truncation in "Unable to open" view. 

[5.Reproduction build]: 
Device: Flame 2.2 user (Affected)
Build ID               20150420002502
Gaia Revision          c15a2b6d3a783813959c2b3bffd2a131f4270b9e
Gaia Date              2015-04-17 17:49:32
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/cc02ee38b252
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150420.042414
Firmware Date          Mon Apr 20 04:24:25 EDT 2015
Bootloader             L1TC000118D0

Device: Flame 2.1 (Unaffected)
Build ID               20150420001205
Gaia Revision          bbe983b4e8bebfec26b3726b79568a22d667223c
Gaia Date              2015-04-09 13:52:48
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g34_v2_1/rev/b85d4f4a6d61
Gecko Version          34.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150321.195232
Firmware Date          Sat Mar 21 19:52:42 EDT 2015
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,10/10

[7.TCID]: 
16090

[8.Note]:
Cannot download the attached files in Flame 2.1 user build.
(Reporter)

Updated

3 years ago
status-b2g-v2.1: --- → unaffected
status-b2g-v2.2: --- → affected
I expect almost all of our locales to be truncated on this button
https://transvision.mozfr.org/string/?entity=shared/download/download.properties:unsupported_file_type_download_left_button&repo=gaia

I'm tempted to move this to Gaia and make UX fix it for everyone (e.g. 2 full-width buttons).

Comment 2

3 years ago
(In reply to Francesco Lodolo [:flod] (UTC+2) from comment #1)
> I expect almost all of our locales to be truncated on this button
> https://transvision.mozfr.org/string/?entity=shared/download/download.
> properties:unsupported_file_type_download_left_button&repo=gaia
> 
> I'm tempted to move this to Gaia and make UX fix it for everyone (e.g. 2
> full-width buttons).

Hi,

There's a simple workaround here: to make the button text shorter by removing the word "file" ("archivo" in Spanish.) It can be easily inferred from the context that what the user actually saves is the file specified above.

What do you think?
Using a shorter translation would be OK. One doubt though: is the translation correct?
https://transvision.mozfr.org/?sourcelocale=en-US&locale=es&repo=gaia&search_type=entities&recherche=shared/download/download.properties:unsupported_file_type_download_left_button

Do you open the file or just keep it if you press the button?

Comment 4

3 years ago
(In reply to Francesco Lodolo [:flod] (UTC+2) from comment #3)
> Using a shorter translation would be OK. One doubt though: is the
> translation correct?
> https://transvision.mozfr.org/?sourcelocale=en-
> US&locale=es&repo=gaia&search_type=entities&recherche=shared/download/
> download.properties:unsupported_file_type_download_left_button
> 
Good question, flod.

Anticipating potential truncation issues, I used "Guardar" rather than "Conservar" or "Mantener". Actually all of them are Spanish synonyms in this context, and it may be the natural answer to the question "There isn’t an app that can open {{name}}. Would you like to save the file or delete it?".

Said that, I edited the translation and used "Conservar" to keep the translation more faithful to the source copy.

This should fix this issue. Marking as fixed.
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → FIXED
(Reporter)

Comment 5

3 years ago
Created attachment 8601948 [details]
Verify1_Spanish_Keep file_Flame 2.2 user_Pass.png

According to the STR in comment 0, this issue is verified pass on latest Flame 2.2 user build.

See attachment:Verify1_Spanish_Keep file_Flame 2.2 user_Pass.png
Reproducing rate:0/10

Device: Flame 2.2 user build (Pass)
Build ID               20150505002501
Gaia Revision          772a9491909abd02dc67278dd453746e2dd358a8
Gaia Date              2015-05-05 02:02:24
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/2df83538ae20
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20150505.041457
Firmware Date          Tue May  5 04:15:08 EDT 2015
Bootloader             L1TC000118D0
(Reporter)

Updated

3 years ago
Status: RESOLVED → VERIFIED
QA Whiteboard: [MGSEI-Triage+]
status-b2g-v2.2: affected → verified
QA Whiteboard: [MGSEI-Triage+] → [MGSEI-Triage+][MGSEI-l10n-1F]
Whiteboard: LocRun2.2, MGSEI-l10n-1F-Spanish → LocRun2.2,
You need to log in before you can comment on or make changes to this bug.